import clsx from 'clsx';
import { SVGProps } from 'react-html-props';
const TwitterSVG = ({ className, ...props }: SVGProps) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="19.141"
      height="16"
      viewBox="0 0 19.141 16"
      className={clsx('fill-current', className)}
      {...props}
    >
      <path
        d="M6.675,17.962A12.351,12.351,0,0,1,.5,16.277a.807.807,0,0,1-.4-.883.771.771,0,0,1,.722-.562,8.244,8.244,0,0,0,3.932-.8A7.663,7.663,0,0,1,.9,7.61a9.987,9.987,0,0,1,.8-4.333A.7.7,0,0,1,2.342,2.8a.782.782,0,0,1,.722.321,7.706,7.706,0,0,0,5.778,3.29,4.57,4.57,0,0,1,1.525-3.37,4.3,4.3,0,0,1,5.778.08,8.086,8.086,0,0,0,1.846-.963.869.869,0,0,1,.883,0,.891.891,0,0,1,.321.883,6.611,6.611,0,0,1-1.6,3.049v.4c0,4.414-1.926,8.105-5.377,10.031A10.756,10.756,0,0,1,6.675,17.962ZM4.027,16.036a10.245,10.245,0,0,0,7.543-.963,9.722,9.722,0,0,0,4.574-8.667,1.018,1.018,0,0,0-.08-.481.647.647,0,0,1,.241-.722c.161-.16.321-.4.482-.562a1.488,1.488,0,0,1-.562.16.726.726,0,0,1-.8-.241A2.793,2.793,0,0,0,11.49,4.32a2.445,2.445,0,0,0-1.043,2.086v.8a.8.8,0,0,1-.8.8A9.139,9.139,0,0,1,2.743,5.2c-.481,2.086-.642,6.019,4.012,8.025a.922.922,0,0,1,.481.722.782.782,0,0,1-.321.722A9.431,9.431,0,0,1,4.027,16.036Z"
        transform="translate(-0.075 -1.962)"
        fill="#fff"
      />
    </svg>
  );
};

export default TwitterSVG;
